OpenDNSSEC ‘cURL’ API安全绕过漏洞

漏洞起因
设计错误
危险等级

影响系统
OpenDNSSEC

不受影响系统

危害
远程攻击者可以利用漏洞绕过安全限制进行攻击。

攻击所需条件
攻击者必须访问OpenDNSSEC。

漏洞信息
OpenDNSSEC是一个实现DNSSEC的开源解决方案,用来在发布到认证的域名服务器之前保护 zone数据。
OpenDNSSEC不安全使用’cURL’ API,可导致攻击者利用漏洞进行中间人攻击或伪造可信服务器,绕过安全限制进行攻击。

测试方法

厂商解决方案
目前没有详细解决方案提供:
http://www.opendnssec.org

漏洞提供者
Alessandro Ghedini